Subject: Re: bug#25625: Opening djvu file eats up all my RAM

From: Antoine Levitt <[email-masked]>
Date: Sun, 05 Feb 2017 19:35:53 +0100

Not, it's image-mode: opening a blank .djvu file in emacs -Q gives me

Image minor mode (indicator Image[imagemagick]):
Toggle Image minor mode in this buffer.
With a prefix argument ARG, enable Image minor mode if ARG is
positive, and disable it otherwise.  If called from Lisp, enable
the mode if ARG is omitted or nil.

Image minor mode provides the key C-c C-c,
to switch back to ‘image-mode’ and display an image file as the
actual image.

05 February 2017 19:31 +0100, Eli Zaretskii <[email-masked]>:
>> From: Antoine Levitt <[email-masked]>
>> Date: Sun, 05 Feb 2017 09:50:28 +0100
>> 
>> When opening a djvu file, emacs eats up all my RAM and subsequently
>> crashes my system. I can reproduce this from emacs -Q with a few djvu
>> files I have. I can't post them publicly, but I can send them to anyone
>> interested.
>
> Is it doc-view-mode that tries to display djvu files?